Package org.apache.sysds.runtime.instructions.fed

# Class AggregateUnaryFEDInstruction

java.lang.Object
org.apache.sysds.runtime.instructions.Instruction
org.apache.sysds.runtime.instructions.fed.FEDInstruction
org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction
org.apache.sysds.runtime.instructions.fed.UnaryFEDInstruction
org.apache.sysds.runtime.instructions.fed.AggregateUnaryFEDInstruction

All Implemented Interfaces:
  `LineageTraceable`

Direct Known Subclasses:
  `CentralMomentFEDInstruction`

public class AggregateUnaryFEDInstruction extends UnaryFEDInstruction

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`FEDInstruction.FederatedOutput, FEDInstruction.FEDType`

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OOC_INST_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

## Method Summary

Modifier and Type
Method
Description
`static AggregateUnaryFEDInstruction`
`parseInstruction(String str)`
`static AggregateUnaryFEDInstruction`
`parseInstruction(AggregateUnaryCPInstruction instr)`
`static AggregateUnaryFEDInstruction`
`parseInstruction(AggregateUnarySPInstruction instr)`
`void`
`processInstruction(ExecutionContext ec)`
This method should be used to execute the instruction.

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.UnaryFEDInstruction

`parseInstruction, parseInstruction`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`getLineageItem, getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`getFEDInstructionType, getTID, getType, setTID`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getGraphString, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, postprocessInstruction, preprocessInstruction, printMe, requiresLabelUpdate, setInstID, setLocation, setLocation, setLocation, setLocation, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

## Method Details

### parseInstruction

public static AggregateUnaryFEDInstruction parseInstruction(AggregateUnaryCPInstruction instr)

### parseInstruction

public static AggregateUnaryFEDInstruction parseInstruction(AggregateUnarySPInstruction instr)

### parseInstruction

public static AggregateUnaryFEDInstruction parseInstruction(String str)

### processInstruction

public void processInstruction(ExecutionContext ec)
Description copied from class: `Instruction`
This method should be used to execute the instruction.

Specified by:
  `processInstruction` in class `Instruction`
Parameters:
  `ec` - execution context